## python-gitlab 1.3.0

=== requirements.txt ===
requests>1.0
six

=== debian/changelog ===
python-gitlab (1:1.3.0-2) unstable; urgency=medium

  * Add dependency version (Closes: #893936)
  * Install manpage in the correct package (Closes: 894145)

 -- Federico Ceratto <federico@debian.org>  Thu, 29 Mar 2018 15:25:37 +0100

python-gitlab (1:1.3.0-1) unstable; urgency=low

  * Initial packaging (Closes: #891939)

 -- Federico Ceratto <federico@debian.org>  Sun, 18 Mar 2018 13:05:31 +0000

=== debian/control ===
Source: python-gitlab
Maintainer: Federico Ceratto <federico@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11)
Build-Depends-Indep:
 dh-python,
 help2man,
 python-all,
 python-doc,
 python-httmock,
 python-mock,
 python-requests,
 python-setuptools (>= 0.6b3),
 python-sphinx,
 python3-all,
 python3-httmock,
 python3-mock,
 python3-requests,
 python3-setuptools,
 python3-sphinx
Standards-Version: 4.1.3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.5
Homepage: https://github.com/python-gitlab/python-gitlab
Vcs-Git: https://salsa.debian.org/debian/python-pygitlab.git
Vcs-Browser: https://salsa.debian.org/debian/python-pygitlab

Package: python-gitlab
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-gitlab-doc
Description: Python GitLab API client library
 Provides access to the GitLab v3 and v4 server API.
 This package contains the Python 2 library.

Package: python-gitlab-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-jquery, libjs-underscore
Description: Python 3 GitLab API client library - documentation
 Provides access to the GitLab v3 and v4 server API.
 This package contains the library documentation.

Package: python3-gitlab
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-gitlab-doc
Description: Python 3 GitLab API client library
 Provides access to the GitLab v3 and v4 server API.
 This package contains the Python 3 library.

Package: gitlab-cli
Architecture: all
Section: utils
Depends: ${misc:Depends}, python3, python3-gitlab (= ${binary:Version})
Breaks: ruby-gitlab
Description: GitLab command-line client
 Command-line tool to interact with GitLab v3 and v4 server API.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gitlab
export DH_VERBOSE=1

# define DEB_VERSION
include /usr/share/dpkg/default.mk

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bhtml docs build/html
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bman docs build/man
	rm -rf ./build/html/.doctrees

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -ppython-gitlab-doc
endif

override_dh_auto_install:
	dh_auto_install
	# Remove the script from the Python 2 package and move it to gitlab-cli
	rm debian/python-gitlab/usr/bin/gitlab
	mkdir -p debian/gitlab-cli/usr/bin
	mv debian/python3-gitlab/usr/bin/gitlab debian/gitlab-cli/usr/bin/

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.rst

override_dh_installman:
	PYTHONPATH=. \
		help2man -N -L C.UTF-8 \
		-n "GitLab API client" \
		--no-info --version-string="${DEB_VERSION}" \
		-o debian/gitlab.1 \
		./debian/gitlab-cli/usr/bin/gitlab
	dh_installman

## python-gitlab 1.5.1

=== debian/changelog ===
python-gitlab (1:1.5.1-1) unstable; urgency=medium

  * New upstream release (Closes: #904149)

 -- Federico Ceratto <federico@debian.org>  Sat, 21 Jul 2018 22:03:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper (>= 11)
 Build-Depends-Indep:
  dh-python,
- help2man,
  python-all,
  python-doc,
  python-httmock,
@@ -19,7 +18,7 @@
  python3-requests,
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.5
 Homepage: https://github.com/python-gitlab/python-gitlab
@@ -39,7 +38,7 @@
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-jquery, libjs-underscore
 Description: Python 3 GitLab API client library - documentation
- Provides access to the GitLab v3 and v4 server API.
+ Provides access to the GitLab v4 server API.
  This package contains the library documentation.
 
 Package: python3-gitlab
@@ -47,7 +46,7 @@
 Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: python-gitlab-doc
 Description: Python 3 GitLab API client library
- Provides access to the GitLab v3 and v4 server API.
+ Provides access to the GitLab v4 server API.
  This package contains the Python 3 library.
 
 Package: gitlab-cli
@@ -56,4 +55,4 @@
 Depends: ${misc:Depends}, python3, python3-gitlab (= ${binary:Version})
 Breaks: ruby-gitlab
 Description: GitLab command-line client
- Command-line tool to interact with GitLab v3 and v4 server API.
+ Command-line tool to interact with GitLab v4 server API.

=== debian/rules ===
--- 
+++ 
@@ -29,12 +29,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.rst
-
-override_dh_installman:
-	PYTHONPATH=. \
-		help2man -N -L C.UTF-8 \
-		-n "GitLab API client" \
-		--no-info --version-string="${DEB_VERSION}" \
-		-o debian/gitlab.1 \
-		./debian/gitlab-cli/usr/bin/gitlab
-	dh_installman

## python-gitlab 1.6.0

=== debian/changelog ===
python-gitlab (1:1.6.0-3) unstable; urgency=medium

  * gitlab-cli: rename executable to python-gitlab (Closes: #910229)
  * Handle missing config file (Closes: #912537)

 -- Federico Ceratto <federico@debian.org>  Tue, 27 Nov 2018 21:41:09 +0000

python-gitlab (1:1.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Federico Ceratto ]
  * Set Conflicts: ruby-gitlab header (Closes: #910229)

 -- Federico Ceratto <federico@debian.org>  Sat, 03 Nov 2018 12:28:55 +0000

python-gitlab (1:1.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 27 Aug 2018 19:11:59 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,7 @@
  python3-requests,
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.1.5
-X-Python-Version: >= 2.7
+Standards-Version: 4.2.1
 X-Python3-Version: >= 3.5
 Homepage: https://github.com/python-gitlab/python-gitlab
 Vcs-Git: https://salsa.debian.org/debian/python-pygitlab.git
@@ -53,6 +52,6 @@
 Architecture: all
 Section: utils
 Depends: ${misc:Depends}, python3, python3-gitlab (= ${binary:Version})
-Breaks: ruby-gitlab
 Description: GitLab command-line client
- Command-line tool to interact with GitLab v4 server API.
+ Command-line tool to interact with the GitLab v4 server API.
+ The executable is named python-gitlab.

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,8 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bhtml docs build/html
-	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bman docs build/man
+	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -E -bhtml docs build/html
+	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -E -bman docs build/man
 	rm -rf ./build/html/.doctrees
 
 override_dh_sphinxdoc:
@@ -25,7 +25,7 @@
 	# Remove the script from the Python 2 package and move it to gitlab-cli
 	rm debian/python-gitlab/usr/bin/gitlab
 	mkdir -p debian/gitlab-cli/usr/bin
-	mv debian/python3-gitlab/usr/bin/gitlab debian/gitlab-cli/usr/bin/
+	mv debian/python3-gitlab/usr/bin/gitlab debian/gitlab-cli/usr/bin/python-gitlab
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.rst

## python-gitlab 2.0.1

=== debian/changelog ===
python-gitlab (1:2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 08 Feb 2020 13:45:11 +0000

python-gitlab (1:1.15.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 28 Dec 2019 21:53:04 +0000

python-gitlab (1:1.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 01 Dec 2019 21:57:05 +0000

=== debian/control ===
Source: python-gitlab
Maintainer: Federico Ceratto <federico@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-httmock,
 python3-mock,
 python3-requests,
 python3-setuptools,
 python3-sphinx
Standards-Version: 4.5.0
Homepage: https://github.com/python-gitlab/python-gitlab
Vcs-Git: https://salsa.debian.org/debian/python-pygitlab.git
Vcs-Browser: https://salsa.debian.org/debian/python-pygitlab
Testsuite: autopkgtest-pkg-python

Package: python-gitlab-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-jquery, libjs-underscore
Description: Python 3 GitLab API client library - documentation
 Provides access to the GitLab v4 server API.
 This package contains the library documentation.

Package: python3-gitlab
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-gitlab-doc
Description: Python 3 GitLab API client library
 Provides access to the GitLab v4 server API.
 This package contains the Python 3 library.

Package: gitlab-cli
Architecture: all
Section: utils
Depends: ${misc:Depends}, python3, python3-gitlab (= ${binary:Version}), python3-yaml
Description: GitLab command-line client
 Command-line tool to interact with the GitLab v4 server API.
 The executable is named python-gitlab.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -22,8 +22,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	# Remove the script from the Python 2 package and move it to gitlab-cli
-	rm debian/python-gitlab/usr/bin/gitlab
 	mkdir -p debian/gitlab-cli/usr/bin
 	mv debian/python3-gitlab/usr/bin/gitlab debian/gitlab-cli/usr/bin/python-gitlab

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-gitlab-$1\.tar\.gz/ \
  https://github.com/python-gitlab/python-gitlab/tags .*/v?(\d\S*)\.tar\.gz

## python-gitlab 2.4.0

=== debian/changelog ===
python-gitlab (1:2.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 13 Jul 2020 23:36:56 +0100

python-gitlab (1:2.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 15 Jun 2020 23:16:05 +0100

python-gitlab (1:2.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 18 Apr 2020 15:43:07 +0100

python-gitlab (1:2.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Tue, 31 Mar 2020 00:15:00 +0100

## python-gitlab 2.5.0

=== debian/changelog ===
python-gitlab (1:2.5.0-1) unstable; urgency=medium

  * New upstream release (Closes: #975310)

 -- Federico Ceratto <federico@debian.org>  Tue, 08 Dec 2020 00:11:17 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Maintainer: Federico Ceratto <federico@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep:
  dh-python,
  python3-all,
  python3-httmock,
  python3-mock,
+ python3-pytest,
  python3-requests,
+ python3-responses,
  python3-setuptools,
  python3-sphinx
 Standards-Version: 4.5.0
@@ -16,6 +18,7 @@
 Vcs-Git: https://salsa.debian.org/debian/python-pygitlab.git
 Vcs-Browser: https://salsa.debian.org/debian/python-pygitlab
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-gitlab-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export PYBUILD_NAME=gitlab
 export DH_VERBOSE=1
+export PYBUILD_TEST_ARGS=--ignore=gitlab/tests/objects/test_todos.py
 
 # define DEB_VERSION
 include /usr/share/dpkg/default.mk

## python-gitlab 2.10.1

=== requirements.txt ===
requests==2.26.0
requests-toolbelt==0.9.1

=== debian/changelog ===
python-gitlab (1:2.10.1-2) unstable; urgency=medium

  * Remove unexpected directory (Closes: #1002824)

 -- Federico Ceratto <federico@debian.org>  Wed, 29 Dec 2021 13:32:22 +0000

python-gitlab (1:2.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Fri, 24 Dec 2021 18:53:49 +0000

python-gitlab (1:2.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 19 Aug 2021 22:27:39 +0100

python-gitlab (1:2.9.0-1) experimental; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 03 Jul 2021 14:55:11 +0100

python-gitlab (1:2.8.0-1) experimental; urgency=medium

  * New upstream release (Closes: #987399)

 -- Federico Ceratto <federico@debian.org>  Sat, 19 Jun 2021 20:16:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Federico Ceratto <federico@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13), debhelper, sphinx-common
 Build-Depends-Indep:
  dh-python,
  python3-all,
@@ -10,10 +10,11 @@
  python3-mock,
  python3-pytest,
  python3-requests,
+ python3-requests-toolbelt,
  python3-responses,
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/python-gitlab/python-gitlab
 Vcs-Git: https://salsa.debian.org/debian/python-pygitlab.git
 Vcs-Browser: https://salsa.debian.org/debian/python-pygitlab

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,17 @@
 	dh_sphinxdoc -ppython-gitlab-doc
 endif
 
+override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	# Integration tests require tox and docker :-(
+	python3 -m pytest tests/unit/
+endif
+
 override_dh_auto_install:
 	dh_auto_install
 	mkdir -p debian/gitlab-cli/usr/bin
 	mv debian/python3-gitlab/usr/bin/gitlab debian/gitlab-cli/usr/bin/python-gitlab
+	rm ./debian/python3-gitlab/usr/lib/python*/dist-packages/docs -rf
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.rst

## python-gitlab 3.5.0

=== debian/changelog ===
python-gitlab (1:3.5.0-1) unstable; urgency=medium

  * New upstream release
  * Fix reproducible building documentation (Closes: #1009339)
    Kudos to Vagrant Cascadian

 -- Federico Ceratto <federico@debian.org>  Sat, 11 Jun 2022 13:28:19 +0100

python-gitlab (1:3.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 10 Apr 2022 18:11:16 +0100

python-gitlab (1:3.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 17 Jan 2022 23:47:21 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  python3-all,
  python3-httmock,
  python3-mock,
+ python3-myst-parser,
  python3-pytest,
  python3-requests,
  python3-requests-toolbelt,

## python-gitlab 3.10.0

=== debian/changelog ===
python-gitlab (1:3.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 15 Oct 2022 17:30:11 +0100

## python-gitlab 3.12.0

=== requirements.txt ===
requests==2.28.1
requests-toolbelt==0.10.1

=== debian/changelog ===
python-gitlab (1:3.12.0-1) unstable; urgency=medium

  * New upstream release
  * Use false instead of /usr/bin/false (Closes: #1022024)
    Thanks to Andrey Skvortsov

 -- Federico Ceratto <federico@debian.org>  Sat, 03 Dec 2022 15:01:16 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-responses,
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/python-gitlab/python-gitlab
 Vcs-Git: https://salsa.debian.org/debian/python-pygitlab.git
 Vcs-Browser: https://salsa.debian.org/debian/python-pygitlab

=== debian/rules ===
--- 
+++ 
@@ -34,4 +34,4 @@
 	rm ./debian/python3-gitlab/usr/lib/python*/dist-packages/docs -rf
 
 override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog.rst
+	dh_installchangelogs docs/changelog.md

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-gitlab-$1\.tar\.gz/ https://github.com/python-gitlab/python-gitlab/tags .*/v?(\d\S*)\.tar\.gz

## python-gitlab 4.3.0

=== requirements.txt ===
requests==2.31.0
requests-toolbelt==1.0.0
typing-extensions==4.9.0 ; python_version < "3.8"

=== debian/changelog ===
python-gitlab (1:4.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1060676)

 -- Federico Ceratto <federico@debian.org>  Fri, 12 Jan 2024 17:58:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,12 @@
 Maintainer: Federico Ceratto <federico@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13), debhelper, sphinx-common
+Build-Depends: debhelper-compat (= 13),
+ debhelper,
+ help2man,
+ pybuild-plugin-pyproject,
+ python3-sphinxcontrib.autoprogram,
+ sphinx-common
 Build-Depends-Indep:
  dh-python,
  python3-all,
@@ -15,7 +20,7 @@
  python3-responses,
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/python-gitlab/python-gitlab
 Vcs-Git: https://salsa.debian.org/debian/python-pygitlab.git
 Vcs-Browser: https://salsa.debian.org/debian/python-pygitlab

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -E -bhtml docs build/html
-	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -E -bman docs build/man
 	rm -rf ./build/html/.doctrees
 
 override_dh_sphinxdoc:
@@ -32,6 +31,9 @@
 	mkdir -p debian/gitlab-cli/usr/bin
 	mv debian/python3-gitlab/usr/bin/gitlab debian/gitlab-cli/usr/bin/python-gitlab
 	rm ./debian/python3-gitlab/usr/lib/python*/dist-packages/docs -rf
+	help2man -N --no-discard-stderr \
+		--no-info --version-string="$(DEB_VERSION)" \
+		-n "GitLab API Command Line Interface" ./debian/gitlab-cli/usr/bin/python-gitlab > debian/python-gitlab.1
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/changelog.md

## python-gitlab 4.9.0

=== requirements.txt ===
requests==2.32.3
requests-toolbelt==1.0.0

=== debian/changelog ===
python-gitlab (1:4.9.0-1) unstable; urgency=medium

  * New upstream release
  * Fix empty changelog (Closes: #1070058)

  [ Kurt Kremitzki ]
  * Fix PYTHONPATH for manpage generation (Closes: #1063992)

  [ Alexandre Detiste]
  * Remove dependency on python3-mock (Closes: #1069981)

 -- Federico Ceratto <federico@debian.org>  Wed, 14 Aug 2024 19:36:10 +0200

python-gitlab (1:4.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 08 Jun 2024 15:45:41 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
  python3-sphinxcontrib.autoprogram,
  sphinx-common
 Build-Depends-Indep:
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-httmock,
- python3-mock,
  python3-myst-parser,
  python3-pytest,
  python3-requests,
@@ -29,6 +28,7 @@
 
 Package: python-gitlab-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-jquery, libjs-underscore
 Description: Python 3 GitLab API client library - documentation

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -26,14 +26,14 @@
 	python3 -m pytest tests/unit/
 endif
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	mkdir -p debian/gitlab-cli/usr/bin
 	mv debian/python3-gitlab/usr/bin/gitlab debian/gitlab-cli/usr/bin/python-gitlab
 	rm ./debian/python3-gitlab/usr/lib/python*/dist-packages/docs -rf
+	PYTHONPATH="./debian/python3-gitlab/usr/lib/$(shell py3versions -d)/dist-packages" \
 	help2man -N --no-discard-stderr \
 		--no-info --version-string="$(DEB_VERSION)" \
 		-n "GitLab API Command Line Interface" ./debian/gitlab-cli/usr/bin/python-gitlab > debian/python-gitlab.1
 
 override_dh_installchangelogs:
-	dh_installchangelogs docs/changelog.md
+	dh_installchangelogs CHANGELOG.md

## python-gitlab 8.0.0

=== requirements.txt ===
gql==4.0.0
httpx==0.28.1
requests==2.32.5
requests-toolbelt==1.0.0

=== debian/changelog ===
python-gitlab (1:8.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1089627)

 -- Federico Ceratto <federico@debian.org>  Sat, 21 Feb 2026 12:51:42 +0100

python-gitlab (1:4.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 21 Oct 2024 22:40:10 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,18 @@
 Build-Depends-Indep:
  dh-sequence-python3,
  python3-all,
+ python3-gql,
  python3-httmock,
+ python3-httpx,
  python3-myst-parser,
  python3-pytest,
  python3-requests,
  python3-requests-toolbelt,
  python3-responses,
+ python3-respx,
  python3-setuptools,
- python3-sphinx
+ python3-sphinx,
+ python3-trio,
 Standards-Version: 4.6.2
 Homepage: https://github.com/python-gitlab/python-gitlab
 Vcs-Git: https://salsa.debian.org/debian/python-pygitlab.git

=== debian/watch ===
Version: 5

Source: https://github.com/python-gitlab/python-gitlab/tags
Matching-Pattern: .*/v?(\d\S*)\.tar\.gz
Filename-Mangle: s/.+\/v?(\d\S*)\.tar\.gz/python-gitlab-$1\.tar\.gz/
